$1 PROC [dbo].[KASA_STOK_LISTE]
@depo_no varchar(25),
@kasa_no varchar(25),
@fiyat_no int,
@entegreDb varchar(50),
@entegreKullanim int
AS
DECLARE @sorgu AS NVARCHAR(MAX)=''
if(@entegreKullanim=1)
BEGIN
SET @sorgu='SELECT
	sto_kod as kod,
	bar_barkodu as barkod,
	sto_isim as isim,
	CASE 
		WHEN '+cast(@fiyat_no as varchar(25))+'=1 THEN bar_birim_fiyat1
		WHEN '+cast(@fiyat_no as varchar(25))+'=2 THEN bar_birim_fiyat2
		WHEN '+cast(@fiyat_no as varchar(25))+'=3 THEN bar_birim_fiyat3
		WHEN '+cast(@fiyat_no as varchar(25))+'=4 THEN bar_birim_fiyat4
		WHEN '+cast(@fiyat_no as varchar(25))+'=5 THEN bar_birim_fiyat4 ELSE 0 END fiyat,
	dvz_sembol dovizCinsi,
	'+@entegreDb+'.dbo.fn_DepodakiMiktar(sto_kod,'+cast(@depo_no as varchar(25))+',GETDATE()) as depoMiktar
FROM STOKLAR
LEFT JOIN STOK_DOVIZ_CINSLERI  ON sto_doviz_cinsi=dvz_no
INNER JOIN STOK_BARKOD_TANIMLARI ON bar_stokkodu=sto_kod'
END
ELSE
BEGIN
SET @sorgu='SELECT
	sto_kod as kod,
	bar_barkodu as barkod,
	sto_isim as isim,
	CASE 
		WHEN @fiyat_no=1 THEN bar_birim_fiyat1
		WHEN @fiyat_no=2 THEN bar_birim_fiyat2
		WHEN @fiyat_no=3 THEN bar_birim_fiyat3
		WHEN @fiyat_no=4 THEN bar_birim_fiyat4
		WHEN @fiyat_no=5 THEN bar_birim_fiyat4 ELSE 0 END fiyat,
	dvz_sembol dovizCinsi,
	dbo.fn_DepoMiktar(sto_kod,@depo_no,GETDATE()) as depoMiktar
FROM STOKLAR
LEFT JOIN STOK_DOVIZ_CINSLERI  ON sto_doviz_cinsi=dvz_no
INNER JOIN STOK_BARKOD_TANIMLARI ON bar_stokkodu=sto_kod'
END

exec(@sorgu)